import request from "@/scripts/httpRequest"
import qs from "qs"

/**
 * 查询任务列表
 */
export const findAllTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/list",
    method: "get",
    params: query
  })
}
export const findTaskById = (query: any) => {
  return request({
    url: "/api-a/v1/task/getById",
    method: "get",
    params: query
  })
}

/**
 * 事件推送新增
 */
export const createTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/create",
    method: "post",
    data: query
  })
}

/**
 * 事件推送修改
 */
export const updateTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/update",
    method: "post",
    data: query
  })
}

/**
 * 事件推送修改
 */
export const deleteTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/delete",
    method: "get",
    params: query
  })
}

/**
 * 推送历史查询
 */
export const findTaskLogs = (query: any) => {
  return request({
    url: "/api-a/v1/log/list",
    method: "get",
    params: query
  })
}

/**
 * 
 * 数据上传 设备信息维护
查询设备
 */
export const getDevicesList = (query: any) => {
  return request({
    url: "/api-a/v1/devices/list",
    method: "get",
    params: query
  })
}

// 添加设备
// 参数 json
export const devicesCreate = (query: any) => {
  return request({
    url: "/api-a/v1/devices/create",
    method: "post",
    // data: qs.stringify(query)
    data: query
  })
}

// 修改，参数：返回值的所有属性
export const devicesUpdate = (query: any) => {
  return request({
    url: "/api-a/v1/devices/update",
    method: "post",
    data: query
  })
}

// 删除，参数 id
export const devicesDelete = (query: any) => {
  return request({
    url: "/api-a/v1/devices/delete",
    method: "get",
    params: query
  })
}
/**
 * 
 * 点位信息维护
查询
 */
export const camerasList = (query: any) => {
  return request({
    url: "/api-a/v1/cameras/list",
    method: "get",
    params: query
  })
}
//添加点位
export const camerasCreate = (query: any) => {
  return request({
    url: "/api-a/v1/cameras/create",
    method: "post",
    data: query
  })
}
// 编辑
export const camerasUpdate = (query: any) => {
  return request({
    url: "/api-a/v1/cameras/update",
    method: "post",
    data: query
  })
}
//删除
export const camerasDelete = (query: any) => {
  return request({
    url: "/api-a/v1/cameras/delete",
    method: "get",
    params: query
  })
}
// 总开关的改变
export const camerasSwitch = (query: any) => {
  return request({
    url: "/api-a/v1/cameras/switch",
    method: "get",
    params: query
  })
}
// 总开关的状态
export const camerasConfig = () => {
  return request({
    url: "/api-a/v1/cameras/config",
    method: "get"
  })
}
/**
 *
 * 报警推送日志
 */
export const camerasReportLog = (query: any) => {
  return request({
    url: "/api-a/v1/cameras/reportLog",
    method: "get",
    params: query
  })
}

/**
 *
 * 短信推送日志
 */
export const smsLog = (query: any) => {
  return request({
    url: "/api-a/v1/smsLog/list",
    method: "get",
    params: query
  })
}
